LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::rendering::TextDirection Constant Group Reference

Specifies main text direction in a text portion. More...

## Variables
const byte | WEAK_LEFT_TO_RIGHT =0
| Reference point is left, main direction is from left to right. More...
const byte | STRONG_LEFT_TO_RIGHT =2
| Reference point is left, main direction is from left to right. More...
const byte | WEAK_RIGHT_TO_LEFT =1
| Reference point is right, main direction is from right to left. More...
const byte | STRONG_RIGHT_TO_LEFT =3
| Reference point is right, main direction is from right to left. More...

## Detailed Description

Specifies main text direction in a text portion.

This also changes the interpretation of the start point.

Since
  OOo 2.0

## Variable Documentation

## ◆ STRONG_LEFT_TO_RIGHT

const byte STRONG_LEFT_TO_RIGHT =2

Reference point is left, main direction is from left to right.

## ◆ STRONG_RIGHT_TO_LEFT

const byte STRONG_RIGHT_TO_LEFT =3

Reference point is right, main direction is from right to left.

## ◆ WEAK_LEFT_TO_RIGHT

const byte WEAK_LEFT_TO_RIGHT =0

Reference point is left, main direction is from left to right.

## ◆ WEAK_RIGHT_TO_LEFT

const byte WEAK_RIGHT_TO_LEFT =1

Reference point is right, main direction is from right to left.